Bug 392520 - Long URLs are not clickable in plaintext message viewer
Summary: Long URLs are not clickable in plaintext message viewer
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: UI (show other bugs)
Version: 5.7.2
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-30 13:32 UTC by Karl-Johan Karlsson
Modified: 2018-04-03 11:48 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.8.0


Attachments
Screenshot demonstrating the bug (65.22 KB, image/png)
2018-03-30 13:32 UTC, Karl-Johan Karlsson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karl-Johan Karlsson 2018-03-30 13:32:11 UTC
Created attachment 111733 [details]
Screenshot demonstrating the bug

The plaintext message viewer makes URLs it recognises clickable. However, this only works for short URLs, up to 255 characters. At 256 characters and above, URLs are no longer clickable.

This is a problem, since such long URLs are fairly common. For example, when Kickstarter and Patreon send project updates through e-mail, the links include long random tokens, almost always pushing them over the 255-character limit.

Attached is a screenshot demonstrating this effect, with a text/plain e-mail with two URLs, one of 255 characters and one of 256.
Comment 1 Laurent Montel 2018-04-03 11:48:57 UTC
Git commit 18fe183efd5ab4a68947fd062cd0d8a0e5ca2071 by Laurent Montel.
Committed on 03/04/2018 at 11:48.
Pushed by mlaurent into branch 'Applications/18.04'.

Fix Bug 392520 - Long URLs are not clickable in plaintext message viewer

FIXED-IN: 5.8.0

M  +1    -1    messageviewer/src/header/headerstyle_util.cpp
M  +2    -2    messageviewer/src/messagepartthemes/default/plugins/quotehtml.cpp

https://commits.kde.org/messagelib/18fe183efd5ab4a68947fd062cd0d8a0e5ca2071